import { gql } from "@apollo/client";

export const SUBSCRIPTION_COMMITS = gql`
  subscription SubscriptionCommits($pipelineId: String!) {
    results: listLogsForPipeline(id: $pipelineId) {
      all {
        hash
        date
        message
        body
        author_name
        author_email
        tasks {
          id
          units
          status
          startedAt
          endedAt
        }
      }
    }
  }
`;
export const SYNC_COMMITS = gql`
  subscription SyncCommits($pipelineId: String!) {
    syncCommits(pipelineId: $pipelineId)
  }
`;
